package com.zd.laboratory.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import com.zd.laboratory.domain.LabCheckRecordDetails;
import com.zd.laboratory.domain.LabCheckRecordDetailslog;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.hibernate.validator.constraints.Length;

import java.util.Date;
import java.util.List;

/**
 * 安全检查隐患表对象 lab_check_record_details
 *
 * @author zd
 * @date 2021-12-30
 */
@ApiModel("安全检查隐患表")
public class LabCheckRecordDetailsVO extends LabCheckRecordDetails {

    private String buildingId;//部门id
    private Long fzrId;//负责人id
    private Long createUserId;//创建人id
    private String laboratoryName;//实验室名称
    private String laboratoryId;//实验室id
    private String typeLevel;//实验室级别
    private String typeName;//实验室类型
    private Integer checkZs;//总数
    private Integer checkYzg;//已整改
    private Integer checkWzg;//未整改
    private String fjNumber;//房间号
    private String buildingName;//实验楼名称
    private String jcDwName;//检查单位
    private Integer isCg;//是否草稿
    private Integer isFabu;//是否发布

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date zgjzTime;//整改截止时间
    private List<LabCheckRecordDetailslog> detailslogList;//操作日志集合

    private Integer zgType;//整改类型
    private String fzrName;//负责人姓名
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date checkTime;//检查时间
    private String beginTime;//检查开始时间
    private String endTime;//检查结束时间
    private String zgBeginTime;//整改开始时间
    private String zgEndTime;//整改结束时间

    @ApiModelProperty("一级菜单名称")
    private String level1;

    @ApiModelProperty("二级菜单名称")
    private String level2;

    @ApiModelProperty("三级菜单名称")
    private String level3;


    @ApiModelProperty("四级菜单名称")
    private String level4;

    public Integer getIsFabu() {        return isFabu;    }

    public void setIsFabu(Integer isFabu) {        this.isFabu = isFabu;    }

    public Long getCreateUserId() {        return createUserId;    }

    public void setCreateUserId(Long createUserId) {        this.createUserId = createUserId;    }

    public String getBuildingId() {        return buildingId;    }

    public void setBuildingId(String buildingId) {        this.buildingId = buildingId;    }

    public Long getFzrId() {        return fzrId;    }

    public void setFzrId(Long fzrId) {        this.fzrId = fzrId;    }

    private List<LabCheckRecordDetailsVO> listVo;

    public String getLaboratoryName() {
        return laboratoryName;
    }

    public void setLaboratoryName(String laboratoryName) {
        this.laboratoryName = laboratoryName;
    }

    public String getTypeLevel() {
        return typeLevel;
    }

    public void setTypeLevel(String typeLevel) {
        this.typeLevel = typeLevel;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public Integer getCheckZs() {
        return checkZs;
    }

    public void setCheckZs(Integer checkZs) {
        this.checkZs = checkZs;
    }

    public Integer getCheckYzg() {
        return checkYzg;
    }

    public void setCheckYzg(Integer checkYzg) {
        this.checkYzg = checkYzg;
    }


    public Integer getCheckWzg() {
        return checkWzg;
    }

    public void setCheckWzg(Integer checkWzg) {
        this.checkWzg = checkWzg;
    }

    public List<LabCheckRecordDetailsVO> getListVo() {        return listVo;    }

    public void setListVo(List<LabCheckRecordDetailsVO> listVo) {        this.listVo = listVo;    }

    public String getLaboratoryId() {
        return laboratoryId;
    }

    public void setLaboratoryId(String laboratoryId) {
        this.laboratoryId = laboratoryId;
    }
    public String getLevel1() {
        return level1;
    }

    public void setLevel1(String level1) {
        this.level1 = level1;
    }

    public String getLevel2() {
        return level2;
    }

    public String getLevel3() {
        return level3;
    }

    public String getLevel4() {
        return level4;
    }

    public List<LabCheckRecordDetailslog> getDetailslogList() {
        return detailslogList;
    }

    public void setDetailslogList(List<LabCheckRecordDetailslog> detailslogList) {
        this.detailslogList = detailslogList;
    }

    public Integer getZgType() {        return zgType;    }

    public void setZgType(Integer zgType) {        this.zgType = zgType;    }

    public String getFzrName() {        return fzrName;    }

    public void setFzrName(String fzrName) {        this.fzrName = fzrName;    }

    public Date getCheckTime() {        return checkTime;    }

    public void setCheckTime(Date checkTime) {        this.checkTime = checkTime;    }

    public String getZgBeginTime() {        return zgBeginTime;    }

    public void setZgBeginTime(String zgBeginTime) {        this.zgBeginTime = zgBeginTime;    }

    public String getZgEndTime() {        return zgEndTime;    }

    public void setZgEndTime(String zgEndTime) {        this.zgEndTime = zgEndTime;    }
    public String getBeginTime() {        return beginTime;    }

    public void setBeginTime(String beginTime) {        this.beginTime = beginTime;    }

    public String getEndTime() {        return endTime;    }

    public void setEndTime(String endTime) {        this.endTime = endTime;    }


    public String getFjNumber() {        return fjNumber;    }

    public void setFjNumber(String fjNumber) {        this.fjNumber = fjNumber;    }

    public String getBuildingName() {        return buildingName;    }

    public void setBuildingName(String buildingName) {        this.buildingName = buildingName;    }

    public String getJcDwName() {        return jcDwName;    }

    public void setJcDwName(String jcDwName) {        this.jcDwName = jcDwName;    }

    public Date getZgjzTime() {        return zgjzTime;    }

    public void setZgjzTime(Date zgjzTime) {        this.zgjzTime = zgjzTime;    }

    public Integer getIsCg() {        return isCg;    }

    public void setIsCg(Integer isCg) {        this.isCg = isCg;    }
}
